Bonuses
Cette page n'est pas disponible en français. La version anglaise est affichée.
Get Bonus Temporary
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Query Parameters
limit?integer
Sets the limit
Range
1 <= value <= 500Default
10offset?integer
Sets the offset
Range
0 <= valueDefault
0sort_order?string
Sorts the items in ascending or descending order
Default
"desc"Value in
- "asc"
- "desc"
sort_by?"createTime"
Sorts the items by a specified value
Default
"createTime"Value in
- "createTime"
filter?unknown
Filters the items by a specified value
Header Parameters
accept-language?string
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/v2/bonuses/temporary?limit=10&offset=0&sort_order=desc&sort_by=createTime" \ -H "accept-language: ja"{ "total": 0, "data": [ { "id": 0, "amount": "0.000", "name": "Preset", "default": "55.55", "currency": "GBP", "dynamicLots": "1.00", "platform": "MetaTrader4", "platformGroups": [ "EURJPY" ], "lifetime": 0, "enableAutoCredit": true, "scalpingThreshold": 1, "disabledGroups": [ "EURJPY" ], "enableTrade": true, "expiredAt": "2022-01-01T00:00:00+00:00", "createdAt": "2022-01-01T00:00:00+00:00", "updatedAt": "2022-01-01T00:00:00+00:00" } ]}{ "error": { "message": "Bad Request", "code": 0, "details": [ { "issue": "The selected value is invalid.", "field": "parameter" } ] }}{ "error": { "message": "Unauthorized" }}{ "error": { "message": "Forbidden" }}{ "error": { "message": "Too Many Requests" }}{ "error": { "message": "Service Unavailable" }}